Bug 74965 - uss720 and parport causes kernel Oops (kernel NULL pointer derefence)
uss720 and parport causes kernel Oops (kernel NULL pointer derefence)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 03:56 EDT by Hannu Martikka
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hannu Martikka 2002-10-03 03:56:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I have Belkin USB -> Parallerport adapter (based on USS720).
On first boot RH (usb, kudzu, etc) detected the adapter and the attached printer
ok (HP895C).

Then something goes wrong with the normal paraller-port.
Parport1 (normal LPT-port) gets also detected correctly, then kernel tries to
"free nonexistent resources"...

This Oops happens on every boot. Same problem with RH7.3. Here's the demsg:
...
usb.c: registered new driver uss720
uss720: probe: vendor id 0x1293, device id 0x2
uss720: set inteface result 0
uss720: (C) 1999 by Thomas Sailer, <sailer@ife.ee.ethz.ch>
uss720: reg: da 0c 23 00 00 00 01
uss720: epaddr 131 interval 1
...
parport0: Printer, HEWLETT-PACKARD DESKJET 895C
uss720.c: v0.5:USB Parport Cable driver for Cables using the Lucent Technologies
USS720 Chip
usb.c: registered new driver usblp
printer.c: v0.11: USB Printer Device Class driver
...
parport1: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
parport1: irq 7 detected
Trying to free nonexistent resource <00000000-00000002>
Trying to free nonexistent resource <00000000-00000002>
Unable to handle kernel NULL pointer dereference at virtual address 0000000c
 printing eip:
c01356b0
*pde = 00000000
Oops: 0000
parport_pc microcode printer uss720 parport mousedev keybdev hid input usb-uhc
CPU:    0
EIP:    0010:[<c01356b0>]    Not tainted
EFLAGS: 00010012

EIP is at kmem_cache_free_one [kernel] 0x30 (2.4.18-14)
eax: c1000030   ebx: 00000000   ecx: 00000000   edx: 00000000
esi: d887dc40   edi: 00000000   ebp: bfffebe8   esp: d6369f64
ds: 0018   es: 0018   ss: 0018
Process modprobe (pid: 336, stackpage=d6369000)
Stack: c1fa2c60 00000292 d6c0f080 c0135058 00000000 d887dc40 c1fa2c60 d888732b
       d887dc40 d8885000 fffffff0 c011ce2a d8885000 d8885000 fffffff0 d631a000
       c011c1a7 d8885000 00000000 00001000 d6368000 00000000 00000001 c010910f
Call Trace: [<c0135058>] kfree [kernel] 0x38 (0xd6369f70))
[<d887dc40>] parport_uss720_ops [uss720] 0x0 (0xd6369f78))
[<d888732b>] cleanup_module [parport_pc] 0x3b (0xd6369f80))
[<d887dc40>] parport_uss720_ops [uss720] 0x0 (0xd6369f84))
[<c011ce2a>] free_module [kernel] 0xba (0xd6369f90))
[<c011c1a7>] sys_delete_module [kernel] 0xa7 (0xd6369fa4))
[<c010910f>] system_call [kernel] 0x33 (0xd6369fc0))

Code: 8b 41 0c 29 c6 89 f0 f7 73 18 89 c6 8b 41 14 89 44 b1 18 8b
 <3>ohci1394: pci_module_init failed



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attach USS720 based USB -> Paraller port adapter
2.boot
3.
	

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:39:58 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.